CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [valkostir]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Whenever you pass arguments to calibre-debug that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

[VALKOSTIR]

--add-simple-plugin
    Bæta við einfaldri viðbót (þ.e. viðbót sem er einungis .py skrá), með því að tilgreina slóðina á py skránna sem inniheldur kóða viðbótarinnar.

--command, -c
    Keyra Python-kóða.

--debug-device-driver, -d
    Kemba tækjauppgötvun

--default-programs
    (Af)skrá Calibre úr eða í hóp sjálfgefinna Windows forrita. --default-programs = (register|unregister)

--diff
    Keyra calibre diff tólið. Dæmi: calibre-debug --diff file1 file2

--edit-book
    Keyra Calibre-verkfærið "Breyta bók" í aflúsunarham.

--exec-file, -e
    Keyra Python-kóða í skrá.

--explode-book, -x
    Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    For internal use

--gui, -g
    Keyra GUI með kembun virka. Skilaboð frá kembun skrifast í stdout og stderr.

--gui-debug
    Keyra GUI-ið með kembunarstjórnborði, sem tengist tilgreindri slóð. Einungis til innri notkunar, notið -g valikostinn til að keyra GUI í kembunarham.

--help, -h
    sýna þessi hjálparskilaboð og hætta

--implode-book, -i
    Implode a previously exploded book. Usage: -i output_dir file.epub Imports the book from the files in output_dir which must have been created by a previous call to --explode-book. Be sure to specify the same file type as was used when exploding.

--import-calibre-data
    Flytja inn áður útflutt gögn

--inspect-mobi, -m
    Kanna MOBI skrá(r) á tilgreindri slóð/slóðum

--paths
    Keyra út allar slóðir sem nauðsynlegar eru til að setja upp Calibre umhverfið

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Keyrir niður Calibre vinnslu, ef hún er í gangi. Athugið að ef keyrslur eru í gangi þá verður þeim hætt án viðvörunar og notið þetta því af varkárni.

--subset-font, -f
    Setja tilgreindar stafagerðir í undirmengi. Notaðu -- á eftir þessum valkost til að koma valkostinum til undirmengjaforritsins.

--test-build
    Prófa tvíundareiningu í byggju

--version
    sýna útgáfunúmer forrits og hætta

--viewer, -w
    Keyra rafbókalesarann í aflúsunarham

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal